# copied from 9.2 mdk rpm macros
%define mdkversion             %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)
%define pkgname razor-agents

%if %{mdkversion} < 920 
%define perl_sitelib %(echo %{perl_sitearch} |sed 's/i386-linux//')
%endif


Name:		perl-Razor-Agent
Version: 2.82
Release: %mkrel 1
Summary:	Use a Razor catalogue server to filter spam messages
Source0:	http://prdownloads.sourceforge.net/razor/%{pkgname}-%{version}.tar.bz2
Requires:	perl-Net-DNS
%if %{mdkversion} < 920
Requires:	perl
Requires:	perl-Digest-SHA1
Requires:	perl-MailTools
Requires:	perl-Time-HiRes
Requires:	perl-URI
Requires:	perl-MIME-Base64
%endif
License:	Artistic
Group:		Networking/Mail
URL:		http://razor.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-builroot
BuildRequires:	perl-devel
BuildRequires:	perl-Net-DNS
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-MailTools
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-URI
BuildRequires:	perl-MIME-Base64

%description
Vipul's Razor is a distributed, collaborative, spam detection and
filtering network.  Razor establishes a distributed and constantly
updating catalogue of spam in propagation.  This catalogue is used by
clients to filter out known spam.  On receiving a spam, a Razor
Reporting Agent (run by an end-user or a troll box) calculates and
submits a 20-character unique identification of the spam (a SHA
Digest) to its closest Razor Catalogue Server.  The Catalogue Server
echos this signature to other trusted servers after storing it in its
database.  Prior to manual processing or transport-level reception,
Razor Filtering Agents (end-users and MTAs) check their incoming mail
against a Catalogue Server and filter out or deny transport in case of
a signature match.  Catalogued spam, once identified and reported by a
Reporting Agent, can be blocked out by the rest of the Filtering
Agents on the network.

%prep

%setup -q -n %{pkgname}-%{version}

%build

%if %mdkversion == 800
  %{__perl} Makefile.PL INSTALLDIRS=site
%else
  %{__perl} Makefile.PL INSTALLDIRS=vendor
%endif

cd Razor2-Preproc-deHTMLxs

%if %mdkversion == 800
  %{__perl} Makefile.PL INSTALLDIRS=site
%else
  %{__perl} Makefile.PL INSTALLDIRS=vendor
%endif

cd ..
%make OPTIMIZE="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
cd Razor2-Preproc-deHTMLxs
%if %mdkversion == 800
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}
%else
%makeinstall_std
%endif
cd ..

%if %mdkversion == 800
export PERL5LIB="$RPM_BUILD_ROOT%{perl_sitearch}"
%else
export PERL5LIB="$RPM_BUILD_ROOT%{perl_vendorarch}" 
%endif

%if %mdkversion == 800
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}
%else
%makeinstall_std INSTALLMAN5DIR=%{_mandir}/man5
%endif

%if %mdkversion == 800
  for nb in 1 3 5; do
     install -d $RPM_BUILD_ROOT%{_mandir}/man${nb}
     install -m 644 blib/man${nb}/* $RPM_BUILD_ROOT%{_mandir}/man${nb}
  done
%else
  install -d $RPM_BUILD_ROOT%{_mandir}/man5
  install -m 644 blib/man5/* $RPM_BUILD_ROOT%{_mandir}/man5
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-, root, root)
%doc INSTALL FAQ README Changes CREDITS
%{_bindir}/*
%if %mdkversion == 800
%{perl_sitelib}/Razor2
%{perl_sitelib}/auto/Razor2
%{perl_sitearch}/Razor2
%{perl_sitearch}/auto/Razor2
%else
%{perl_vendorlib}/Razor2
%{perl_vendorlib}/auto/Razor2
%{perl_vendorarch}/Razor2
%{perl_vendorarch}/auto/Razor2
%endif
%{_datadir}/man/*/*

%changelog
* Wed May 31 2006 Frederic Crozat <fcrozat@mandriva.com> 2.82-1mdv2007.0
- Release 2.82

* Tue Apr 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.81-1mdk
- Release 2.80
- use mkrel

* Wed Mar 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.80-1mdk
- Release 2.80

* Thu Jul 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.75-1mdk 
- Release 2.75

* Mon Jul 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.74-1mdk 
- Release 2.74

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 2.72-2mdk
- drop the symlinks (thanks to Daniel J McDonald)

* Fri Jun 17 2005 Gtz Waschk <waschk@mandriva.org> 2.72-1mdk
- New release 2.72

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.67-1mdk 
- Release 2.67

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 2.61-2mdk
- Rebuild for new perl

* Tue Jul 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.61-1mdk
- Release 2.61

* Wed May 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.40-1mdk
- Release 2.40
- Remove patch0 (merged upstream)
- perl-Digest-Nilsimsa is no longer needed

* Mon Nov 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.36-3mdk
- rebuilt for perl-5.8.2

* Wed Nov 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.36-2mdk
- Fix build on older distro than 9.2 (Nicolas Chipaux)
- from Oden Eriksson <oden.eriksson@kvikkjokk.net>
 - added rediffed P0 taken from the spamassassin v2.60 tarball
 - misc spec file fixes

* Mon Aug 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.36-1mdk
- 2.36
- use %%makeinstall_std macro

* Thu Jul 31 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.34-4mdk
- Always enforce perl-Net-DNS dependency, it is not auto-detected by spechelper

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.34-3mdk
- Fix buildrequires

* Wed Jun  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.34-2mdk
- Fix man install for Mdk 8.0

* Mon Jun  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.34-1mdk
- Release 2.34

* Mon May 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.22-2mdk
- isteamization (Mdk Linux 8.0) (Nicolas Chipaux)

* Sat Mar 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.22-1mdk
- Release 2.22

* Wed Oct 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.20-2mdk
- ISTEAM powered = add support for Mdk 8.0

* Tue Oct 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.20-1mdk
- Release 2.20

* Fri Sep 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.14-1mdk
- Release 2.14

* Fri Jul 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.12-1mdk
- From Ben Reser <ben@reser.org> :
 - Release 2.12

* Thu Jul 11 2002 Pixel <pixel@mandrakesoft.com> 2.08-5mdk
- drop the explicit depency on perl 5.6.1

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 2.08-4mdk
- handle man5 pages by hand
- rebuild for perl 5.8.0

* Thu Jun 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.08-3mdk
- Fix BuildRequires

* Tue Jun 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.08-2mdk
- Add missing depencency on perl-URI and perl-MIME-Base64

* Tue Jun 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.08-1mdk
- Release 2.0.8
- Remove patch0 (no longer needed)

* Tue Apr  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.20-1mdk
- First Mdk package

* Sun Jan 27 2002 Scott Pakin <pakin@uiuc.edu>
- Initial version

